#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const webpack_1 = __importDefault(require("webpack"));
const webpack_dev_server_1 = __importDefault(require("webpack-dev-server"));
const dev_1 = __importDefault(require("../webpack/dev"));
// tslint:disable-next-line:no-var-requires
const pkg = require(path_1.default.resolve(process.cwd(), 'package.json'));
let proxyConfig = {};
if (pkg.curiostack &&
    pkg.curiostack.devServer &&
    pkg.curiostack.devServer.proxy) {
    const proxy = pkg.curiostack.devServer.proxy;
    proxyConfig = Object.keys(proxy).reduce((merged, p) => (Object.assign({ [p]: {
            target: proxy[p],
            changeOrigin: true,
            secure: false,
        } }, merged)), {});
}
const options = {
    historyApiFallback: true,
    host: 'localhost',
    hot: true,
    noInfo: true,
    open: true,
    port: 3000,
    proxy: proxyConfig,
};
webpack_dev_server_1.default.addDevServerEntrypoints(dev_1.default, options);
const server = new webpack_dev_server_1.default(webpack_1.default(dev_1.default), options);
server.listen(3000, 'localhost', () => {
    console.log('dev server listening on port 3000');
});
//# sourceMappingURL=start.js.map